/**
 * output package name
 */
package com.kingdee.eas.hr.project;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.IntEnum;

/**
 * output class name
 */
public class projectState extends IntEnum
{
    public static final int NOTENABLED_VALUE = 0;//alias=未启用
    public static final int INPROGRESS_VALUE = 1;//alias=进行中
    public static final int ENDED_VALUE = 2;//alias=已结束
    public static final int DISABLES_VALUE = 3;//alias=禁用

    public static final projectState NOTENABLED = new projectState("NOTENABLED", NOTENABLED_VALUE);
    public static final projectState INPROGRESS = new projectState("INPROGRESS", INPROGRESS_VALUE);
    public static final projectState ENDED = new projectState("ENDED", ENDED_VALUE);
    public static final projectState DISABLES = new projectState("DISABLES", DISABLES_VALUE);

    /**
     * construct function
     * @param integer projectState
     */
    private projectState(String name, int projectState)
    {
        super(name, projectState);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static projectState getEnum(String projectState)
    {
        return (projectState)getEnum(projectState.class, projectState);
    }

    /**
     * getEnum function
     * @param String arguments
     */
    public static projectState getEnum(int projectState)
    {
        return (projectState)getEnum(projectState.class, projectState);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(projectState.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(projectState.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(projectState.class);
    }
}